<div class="card card-primary card-outline">
	<div class="card-header">
		<h4 class="card-title">Invoice History</h4>

		<div class="card-tools">
			<button type="button" class="btn btn-tool" data-widget="collapse"><i class="fa fa-minus"></i></button>
			<button type="button" class="btn btn-tool" data-widget="remove"><i class="fa fa-remove"></i></button>
		</div>
	</div>

	<div class="card-body">
		@if ($o->invoices->count())
			<table class="table table-bordered table-striped table-hover" id="invoice_history" style="width: 100%;">
				<thead>
					<tr>
						<th>ID</th>
						<th>Date</th>
						<th>Amount</th>
					</tr>
				</thead>

				<tbody>
				@foreach ($o->invoices as $io)
					<tr>
						<td><a href="{{ url ('u/invoice',$io->id) }}">{{ $io->id }}</a></td>
						<td>{{ $io->due_date ? $io->due_date->format('Y-m-d') : '&nbsp;' }}</td>
						<td class="text-right">{{ number_format($io->total,2) }}</td>
					</tr>
				@endforeach

				</tbody>
			</table>
		@else
			<p>No payments recorded</p>
		@endif
	</div>
</div>

@section('page-scripts')
	@css('//cdn.datatables.net/1.10.19/css/jquery.dataTables.min.css','jq-dt-css','jquery')
	@js('//cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js','jq-dt-js','jquery')
	@css('//cdn.datatables.net/responsive/2.2.1/css/responsive.dataTables.min.css','dt-responsive-css','jq-dt-css')
	@js('//cdn.datatables.net/responsive/2.2.1/js/dataTables.responsive.min.js','dt-responsive-js','jq-dt-js')
	@css('/plugin/dataTables/dataTables.bootstrap4.css','dt-bootstrap4-css','jq-dt-css')
	@js('/plugin/dataTables/dataTables.bootstrap4.js','dt-bootstrap4-js','jq-dt-js')

	<script type="text/javascript">
		$(document).ready(function() {
			$('#invoice_history').DataTable( {
				responsive: true,
				order: [1, 'desc']
			});

			$('#invoices tbody').on('click','tr', function () {
				$(this).toggleClass('selected');
			});
		});
	</script>
@append